Package twisted :: Package internet :: Module protocol :: Class ConsumerToProtocolAdapter

[show private | hide private]
[frames | no frames]

## Class ConsumerToProtocolAdapter

    Adapter --+
              |
             ConsumerToProtocolAdapter

This class is unstable.

Method Summary
| ``__init__`(self, original)` Set my 'original' attribute to be the object I am adapting. (inherited from `Adapter`)
| `connectionLost(self, reason)`
| `connectionMade(self)`
| `dataReceived(self, data)`
| ``getComponent`(self, interface, registry, default)` I forward getComponent to self.original on the assumption that it is an instance of Componentized. (inherited from `Adapter`)
| `makeConnection(self, transport)`

Class Variable Summary
`MetaInterface` | `__implements__`

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IProtocol'>

Generated by Epydoc 1.1 on Thu May 8 13:18:27 2003 | http://epydoc.sf.net